Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.console.manager.interfaces.impl
Class MBeanResource

    java.lang.Object
      org.jboss.console.manager.interfaces.impl.MBeanResource

All Implemented Interfaces:
  ManageableResource, Serializable

public class MBeanResource
extends Object
implements ManageableResource

Version:
  $Revision: 1.4 $

  Revisions:

  December 16, 2002 Sacha Labourey:

  - First implementation
Author:
  Sacha Labourey.
See Also:
  , Serialized Form

Constructor Summary
`MBeanResource()`
`MBeanResource(javax.management.ObjectName oj, String clazz)`
`MBeanResource(javax.management.ObjectName oj, String clazz, Object proxy)`

Method Summary
`boolean` | `equals(Object other)`
`String` | `getClassName()`
`String` | `getId()`
`Object` | `getMBeanProxy()`
`javax.management.ObjectName` | `getObjectName()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanResource

    public MBeanResource()

### MBeanResource

    public MBeanResource(javax.management.ObjectName oj,
                         String clazz)

### MBeanResource

    public MBeanResource(javax.management.ObjectName oj,
                         String clazz,
                         Object proxy)

Method Detail

### getClassName

    public String getClassName()

### getObjectName

    public javax.management.ObjectName getObjectName()

### getMBeanProxy

    public Object getMBeanProxy()

### getId

    public String getId()

  Specified by:
    `getId` in interface `ManageableResource`

### equals

    public boolean equals(Object other)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.